Subject: Re: [PATCH net 2/3] mptcp: remove unneeded lock when listing scheds

From: Simon Horman <[email-masked]>
Date: Wed, 23 Oct 2024 13:21:28 +0100

On Mon, Oct 21, 2024 at 12:25:27PM +0200, Matthieu Baerts (NGI0) wrote:
> mptcp_get_available_schedulers() needs to iterate over the schedulers'
> list only to read the names: it doesn't modify anything there.
> 
> In this case, it is enough to hold the RCU read lock, no need to combine
> this with the associated spin lock.
> 
> Fixes: 73c900aa3660 ("mptcp: add net.mptcp.available_schedulers")
> Cc: [email-masked]
> Suggested-by: Paolo Abeni <[email-masked]>
> Reviewed-by: Geliang Tang <[email-masked]>
> Signed-off-by: Matthieu Baerts (NGI0) <[email-masked]>

I do wonder if it would be more appropriate to route this via net-next
(without a fixes tag) rather than via net. But either way this looks good
to me.

Reviewed-by: Simon Horman <[email-masked]>

...